commit: a04503b7bb829bb667e020f95cf00f57acf3e0cb
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 26 12:40:51 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 26 13:34:24 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a04503b7
dev-python/distributed: Drop py3.4 due to deps, cleanup
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../distributed/distributed-1.18.0-r1.ebuild | 50 ++++++++++++++++++++++
1 file changed, 50 insertions(+)
diff --git a/dev-python/distributed/distributed-1.18.0-r1.ebuild
b/dev-python/distributed/distributed-1.18.0-r1.ebuild
new file mode 100644
index 00000000000..1001c57f989
--- /dev/null
+++ b/dev-python/distributed/distributed-1.18.0-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for distributed computation"
+HOMEPAGE="http://distributed.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/click[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/dask-0.14.1[${PYTHON_USEDEP}]
+ >=dev-python/joblib-0.10.2[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ >=dev-python/partd-0.3.7[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sortedcollections[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.7.4[${PYTHON_USEDEP}]
+ dev-python/zict[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ py.test -vv -m "not avoid_travis" distributed \
+ -r s \
+ --timeout-method=thread \
+ --timeout=300 \
+ --durations=20 || die
+}